"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_autocomplete_prompt_1 = __importDefault(require("inquirer-autocomplete-prompt"));
const inquirer_maxlength_input_prompt_1 = __importDefault(require("inquirer-maxlength-input-prompt"));
const consts_1 = require("./consts");
const utils_1 = require("./utils");
const createQuestions = () => {
    const choices = (0, utils_1.getMojis)();
    const questions = [
        {
            type: "autocomplete",
            name: "type",
            message: "Select the type of change you're committing:",
            source: (_, query) => Promise.resolve(query ? (0, utils_1.filterMojis)(choices, query) : choices),
        },
        {
            type: "maxlength-input",
            name: "subject",
            message: "Write a short description:",
            maxLength: consts_1.MAX_SUBJECT_LINE_WIDTH,
        },
    ];
    return questions;
};
const prompter = (cz, commit) => {
    cz.prompt.registerPrompt("autocomplete", inquirer_autocomplete_prompt_1.default);
    cz.prompt.registerPrompt("maxlength-input", inquirer_maxlength_input_prompt_1.default);
    cz.prompt(createQuestions()).then((answers) => {
        const emoji = answers.type.emoji;
        const head = `${emoji} ${answers.subject.trim()}`.slice(0, consts_1.MAX_HEAD_LINE_WIDTH);
        commit(head);
    });
};
exports.default = {
    prompter,
};
