"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMojis = exports.filterMojis = void 0;
const pad_1 = __importDefault(require("pad"));
const consts_1 = require("./consts");
const filterMojis = (arr, query) => {
    return arr.filter(({ name, code }) => {
        return (name.toLocaleLowerCase().includes(query) ||
            code.toLocaleLowerCase().includes(query));
    });
};
exports.filterMojis = filterMojis;
const getMojis = () => {
    const maxNameLength = consts_1.GIT_MOJIS.reduce((maxLength, type) => type.name.length > maxLength ? type.name.length : maxLength, 0);
    return consts_1.GIT_MOJIS.map((choice) => ({
        name: `${(0, pad_1.default)(choice.code, maxNameLength)}  ${choice.emoji}  ${choice.description}`,
        value: {
            emoji: choice.emoji,
            name: choice.name,
        },
        code: choice.code,
    }));
};
exports.getMojis = getMojis;
